<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 04월 05일 금요일 오후 

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 관리자 > 프로그램 > 피리 카페 관리 > 지역 관리 > 배열 > 입력하기
=====================================================================


*/

  $sub_menu = "770099";

  include_once('./_common.php' );

  IF ( $is_guest || !$is_member )
  {
      alert ("회원만 이용하실 수 있습니다", G5_DOMAIN ."/");
  }

  IF ( !$is_admin )
  {
      alert ("권한이 없습니다", G5_DOMAIN ."/");
  }

  auth_check($auth[$sub_menu], "w");

  $get__p770000_conf = 0;

  $get__p770099 = 1;

  $prog_config_page = 1;

  include_once( piree__path($piree_prog_a[770099]['num'], 'config') );

  $reload_n  = $_GET['reload_n'];
  $depth_n  = $_GET['depth_n'];
  $loop_n    = $_GET['loop_n'];

  $reload_n  = (int)$reload_n;
  $depth_n  = (int)$depth_n;
  $loop_n    = (int)$loop_n;

  IF ( !$reload_n || $reload_n < 1 )
  {
      $reload_n = 1;
  }

  IF ( !$depth_n || $depth_n < 1 )
  {
      $depth_n = 1;
  }

  IF ( !$loop_n )
  {
      $loop_n = 0;
  }

  $list_n = 0;

  include_once( piree__path($piree_prog_a[770000]['num'], 'config', 0));

  IF ( $depth_n > 5 )
  {
      alert ("모두 입력하였습니다.");
  }

  $db_file = "region_db_". $depth_n .".php";

  include_once( $db_file );

  IF ( count($region_ist_arr) > 0 )
  {

      IF ( count($region_ist_arr) > $loop_n )
      {

          FOR ( $i=0; $i<30; $i++ )
          {

              $in_arr = $region_ist_arr[$loop_n];

              $in_region_n = (int)$in_arr[0];

              IF ( $in_region_n > 0 )
              {

                  $list_n++;

                  $in_region_s = trim($in_arr[1]);

                  $in_region_1_n = (int)$in_arr[2];

                  $in_region_2_n = (int)$in_arr[3];

                  $in_region_n_p = trim($in_arr[4]);

                  $in_region_depth_n = (int)$in_arr[5];

                  $in_region_parent_n = (int)$in_arr[6];

                  $in_region_sub_t = (int)$in_arr[7];

                  $in_region_kor_s = trim($in_arr[8]);

                  $in_region_kor_1_s = trim($in_arr[9]);

                  $in_region_kor_2_s = trim($in_arr[10]);

                  $in_region_kor_p = trim($in_arr[11]);

                  $sql  = "SELECT COUNT(*) FROM `". $piree['region'] ."` ";
                  $sql .= "WHERE `region_n` = '". $in_region_n ."'";
                  $exist_t = (int)sql_efv($sql);

                  IF ( !$exist_t || $exist_t == 0 || $exist_t < 1 )
                  {

                      $sql_save  = "INSERT INTO `". $piree['region'] ."` SET ";
                      $sql_save .= "`region_l_s`         = '". $in_region_s ."', ";
                      $sql_save .= "`region_s_s`         = '". $in_region_s ."', ";
                      $sql_save .= "`region_1_n`         = '". $in_region_1_n ."', ";
                      $sql_save .= "`region_2_n`         = '". $in_region_2_n ."', ";
                      $sql_save .= "`region_n_p`         = '". $in_region_n_p ."', ";
                      $sql_save .= "`region_depth_n`     = '". $in_region_depth_n ."', ";
                      $sql_save .= "`region_parent_n`     = '". $in_region_parent_n ."', ";
                      $sql_save .= "`region_sub_t`       = '". $in_region_sub_t ."', ";
                      $sql_save .= "`region_kor_s`       = '". $in_region_kor_s ."', ";
                      $sql_save .= "`region_kor_1_s`     = '". $in_region_kor_1_s ."', ";
                      $sql_save .= "`region_kor_2_s`     = '". $in_region_kor_2_s ."', ";
                      $sql_save .= "`region_kor_p`       = '". $in_region_kor_p ."', ";
                      $sql_save .= "`region_n`           = '". $in_region_n ."', ";
                      $sql_save .= "`region_regi_time_n` = '". G5_SERVER_TIME ."'";

                      IF ( !sql_query($sql_save) )
                      {

                          alert ("[ ". $in_region_s ." ] 지역을 입력하지 못했습니다.");
                      }

                  }

                  $loop_n++;

              }

          }

      }

  }

  $reload_n++;

  IF ( $list_n > 0 )
  {

      $go_url_s = "insert_region.list.php?depth_n=". $depth_n ."&loop_n=". $loop_n ."&reload_n=". $reload_n;

  }
  ELSE
  {

      $depth_n++;

      IF ( $depth_n < 5 )
      {

          $go_url_s = "insert_region.list.php?depth_n=". $depth_n ."&reload_n=". $reload_n;

      }
      ELSE
      {

          $go_url_s = "__config.form.php";

      }

  }

  echo "<br><br>";
  echo "&nbsp; &nbsp; &nbsp; ";
  echo "<strong>지역정보를 입력하는 중입니다... ". $reload_n ."회 읽음</strong><br><br>";
  echo "&nbsp; &nbsp; &nbsp; ";
  echo "<strong>창을 끄거나 페이지를 이동하지 마세요!!</strong>";

  go_url($go_url_s, 0);
  goto_url($go_url_s);
  EXIT;

?>